### Struct

# EBookContacts NameWestern

#### Description

    struct ENameWestern {
      gchar* prefix;
      gchar* first;
      gchar* middle;
      gchar* nick;
      gchar* last;
      gchar* suffix;
      gchar* full;
    }

No description available.

###### Structure members

`prefix:` `gchar*`

  No description available.

`first:` `gchar*`

  No description available.

`middle:` `gchar*`

  No description available.

`nick:` `gchar*`

  No description available.

`last:` `gchar*`

  No description available.

`suffix:` `gchar*`

  No description available.

`full:` `gchar*`

  No description available.

#### Functions

###### e_name_western_parse

Parses `full_name` and returns an `ENameWestern` struct filled with the component parts of the name.

#### Instance methods

###### e_name_western_copy

Creates a copy of `w`.

since: 3.24

###### e_name_western_free

Frees the `w` struct and its contents.